package com.ai.da.service;

import com.ai.da.mapper.primary.entity.LibraryModelPoint;
import com.ai.da.model.dto.LibraryModelPointDTO;
import com.ai.da.model.dto.ModelsDotDTO;
import com.ai.da.model.vo.LibraryModelPointVO;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 服务类
 *
 * @author easy-generator
 * @since 2022-11-11
 */
public interface LibraryModelPointService extends IService<LibraryModelPoint> {

    LibraryModelPointVO saveOrEditTemplatePoint(LibraryModelPointDTO libraryModelPoint);

    LibraryModelPointVO saveOrEditTemplatePointOld(LibraryModelPointDTO libraryModelPointDTO);

    List<LibraryModelPointVO> selectByLibraryIds(List<Long> libraryIds);

    /**
     * 模特打点
     *
     * @param modelsDotDTO
     * @return
     */
    String modelsDot(ModelsDotDTO modelsDotDTO);

    LibraryModelPoint getByRelationId(Long relationId, String modelType);

}
